Next Previous Contents

3. Installing a modem driver

You have not to read this section entirely; just read one matching with your modem. For the moment, it just describes how to install a LT Modem, using the Lucent and OpenSource driver. If you have written or used an other Winmodem driver, Open or Closed Source, you can email me (alexandre12@mageos.com), and I will include it in this section.

3.1 ltmodem 5.78

URL: http://www.tux.org/pub/dclug/marvin/ltmodem-5.78e.tar.gz

Author: Lucent

License: Non-GPL

Supports: ISA/PCI modem, with a Lucent chipset (Mars family)

Features: Kernel module; simulate a serial port. Does PPP, Fax and Voice

Current Version: 5.78e

Documentation: README-1ST

Requires: 2.2.x or 2.4.x; ISA PNP Support; Loadable module support; C Compiler

How-to-use: Read README-1ST. It is very clear.

Problems:

  • Unresolved symbols: xxx_isapnp_xxxx: run modprobe isapnp.
  • Device or ressource busy: your modem is not compliant with the driver
Comments: Lucent, this time, avoid kernel version and distribution problems by providing the source for some elements.

3.2 The LT WinModem (from Lucent) 5.68 (OBSOLETE)

URL: http://www.linmodems.org/linux568.zip

Author: Lucent Technologies

License: Non-GPL

Supports: ISA/PCI modems, with a Lucent chipset (Mars family)

Features: Kernel module; simulate a serial port. Does PPP, Fax and Voice

Current version (as far as I know): 5.68

Documentation: README

Requires: A 2.2.12 or higher RedHat kernel; loadable module support

How-to-use: Unzip the package ('unzip linux568.zip'), and run ./ltinst. That's all !

Problems:

  • 'insmod: ltmodem: Unresolved symbol(s) *****': You have not a kernel matching with ltmodem. Get the 2.2.12 kernel from ftp.kernel.org, compile and install it
  • 'Warning: kernel version mismatch...": It is simply because ou have not the 2.2.12-20 kernel. It's only a warning, and it doesn't make the modem failing
  • 'ltmodem: init_module: device or resource busy':
    • You have no lt modem or compliant installed
    • If you have a ISA modem, it is not configured by isapnp
    • If you have a PCI modem, the PCI support in the kernel was not configured

3.3 The LTMODEM program (OpenSource driver)

URL: http://www.close.u-net.com

Authors: Richard Close and Pavel Machek

License: GPL

Supports: ISA/PCI modems, with Lucent chipsets (Mars family)

Feature: User-space driver; does Voice calls; does not PPP (V90)

Current version (as far as I know): 0.99

Documentation: README

Requires: GNU C Compiler, automake

How-to-use:

  • PCI: make ; make install - Then use the 'ltmodem' program to communicate with the modem
  • ISA: (read the README.ISA file) mv Makefile Makefile.PCI ; mv Makefile.ISA Makefile ; edit config.h and change for the correct values for your modem (I/O Address, DMA, IRQ) ; make ; make install - The use 'ltmodem' program to communicate with the modem.

Problems:

  • "Sorry, I can't found any modem...":

    • You have not LT modem
    • You have an ISA modem not configured by isapnp
    • You have an ISA modem configured ; but ltmodem was not compiled as ISA
    • You have a PCI modem with no PCI support included in the kernel
    • You have a PCI modem and a compliant kernel, but ltmodem was not compiled as PCI


Next Previous Contents
Copyright © 2010-2020 Platon Technologies, s.r.o.           Home | Man pages | tLDP | Documents | Utilities | About
Design by styleshout